edu.ucsb.nceas.metacat.harvesterClient

## Class HarvesterRegistrationLogin

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - edu.ucsb.nceas.metacat.harvesterClient.HarvesterRegistrationLogin

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class HarvesterRegistrationLogin
      extends javax.servlet.http.HttpServlet

  HarvesterRegistrationLogin implements a servlet to login to the Harvester Registration servlet.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HarvesterRegistrationLogin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Handle "GET" method requests from HTTP clients
    `void` | `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Handle "POST" method requests from HTTP clients

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HarvesterRegistrationLogin

          public HarvesterRegistrationLogin()

  - ### Method Detail

    - #### doGet

          public void doGet(javax.servlet.http.HttpServletRequest req,
                            javax.servlet.http.HttpServletResponse res)
                     throws javax.servlet.ServletException,
                            java.io.IOException

      Handle "GET" method requests from HTTP clients
      Overrides:
        `doGet` in class `javax.servlet.http.HttpServlet`
      Parameters:
        `req` - The request
        `res` - The response
      Throws:
        `ServletException,` - java.io.IOException
        `javax.servlet.ServletException`
        `java.io.IOException`

    - #### doPost

          public void doPost(javax.servlet.http.HttpServletRequest req,
                             javax.servlet.http.HttpServletResponse res)
                      throws javax.servlet.ServletException,
                             java.io.IOException

      Handle "POST" method requests from HTTP clients
      Overrides:
        `doPost` in class `javax.servlet.http.HttpServlet`
      Parameters:
        `req` - The request
        `res` - The response
      Throws:
        `ServletException,` - java.io.IOException
        `javax.servlet.ServletException`
        `java.io.IOException`

Copyright © 2023 Regents of the University of California. All Rights Reserved.